CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

PickGroup Property (ActiveX)

2023-1-3 08:48| 发布者: admin| 查看: 387| 评论: 0|来自: AutoCAD

摘要: 确定选取组中的单个对象是否选择整个组。

确定选取组中的单个对象是否选择整个组。

支持的平台:仅窗口

签名

工 务 局:

object.PickGroup
对象

类型:首选项选择

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:选取组中的一个对象会导致整个组被选中。
  • False:在组中选取一个对象会导致仅选择该对象。

言论

此属性的初始值为。False

例子

工 务 局:

Sub Example_PickGroup()
    ' This example reads and modifies the preference value that
    ' determines if picking a single object in a group selects the entire group.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesSelection
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.Selection
    
    ' Read and display the original value
    originalValue = ACADPref.PickGroup
    MsgBox "The PickGroup preference is set to: " & originalValue

    ' Modify the PickGroup preference by toggling the value
    ACADPref.PickGroup = Not (ACADPref.PickGroup)
    newValue = ACADPref.PickGroup
    MsgBox "The PickGroup preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.PickGroup = originalValue
    MsgBox "The PickGroup preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PickGroup()
    ;; This example reads and modifies the preference value that
    ;; determines if picking a single object in a group selects the entire group.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-PickGroup (vla-get-Selection preferences)))
    (alert (strcat "The PickGroup preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the PickGroup preference by toggling the value
    (vla-put-PickGroup (vla-get-Selection preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PickGroup (vla-get-Selection preferences)))
    (alert (strcat "The PickGroup preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-PickGroup (vla-get-Selection preferences) originalValue)
    (alert (strcat "The PickGroup preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 14:48

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部